<?php

	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/secretblog/class/security/secretblogfilter.class.php" );
	
	class PluginSecretBlog extends PluginBase
	{
	
		function PluginSecretBlog()
		{
			$this->PluginBase();
			
			$this->id = "secretblog";
			$this->author = "The pLog Team";
			
			// we only need to register a filter
            $this->registerFilter( "SecretBlogFilter" );
            
            // register our own actions
			// register our action and menu entry
			$this->registerAdminAction( "pluginSecretBlogSettings", "AdminSecretBlogPluginSettingsAction" );
			$this->registerAdminAction( "pluginSecretBlogUpdateSettings", "AdminSecretBlogPluginUpdateSettingsAction" );			  
              
            // register our action and menu entry
            $menu =& Menu::getMenu();
            if( !$menu->entryExists( "/menu/controlCenter/manageSecurityPlugins" ))                     
                $this->addMenuEntry( "/menu/controlCenter", "manageSecurityPlugins", "", "", true, false );
            $this->addMenuEntry( "/menu/controlCenter/manageSecurityPlugins", "pluginSecretBlogSettings", "admin.php?op=pluginSecretBlogSettings", "", true, false );            
		}		
	}
?>